Draft SelectPlane/sv: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
mNo edit summary
Line 1: Line 1:
{{GuiCommand|Name=Draft SelectPlane|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=DraftUtilities → Select Plane|Shortcut=W P}}
{{GuiCommand/sv|Name=Draft_Workingplane|Workbenches=[[Draft Module/sv|Skiss]]|MenuLocation=DraftingSelectPlane}}


====Beskrivning====
====Beskrivning====

Revision as of 20:41, 13 February 2016

Draft_Workingplane

Menyplacering
Drafting → SelectPlane
Arbetsbänkar
Skiss
Standard genväg
Ingen
Introducerad i version
-
Se även
Ingen

Beskrivning

Detta verktyg väntar på att användaren ska markera en existerande yta i 3D vyn eller att välja ett av de förinställda planen. Arbetsplanet kommer då att ställas in till det planet, och alla efterföljande 2D operationer kommer endast att hända på detta plan.

Bruk

  • Välj en yta på ett existerande objekt i 3D vyn
  • Alternativt, klicka på en av förvalsknapparna: XY (topp plan), XZ (fram plan) eller YZ (sido plan)
  • Om du klickar på VIEW knappen så kommer arbetsplanet att bli samma som vyplanet, vinkelrätt till kameraaxeln och passerande genom origopunkten (0,0,0)
  • Om du klickar på NONE så kommer arbetsplanet att tas bort. Nästa 2D operationer kommer att bli vyberoende.
  • Du kan också specificera ett offsetvärde, vilket kommer att ställa in ditt arbetsplan till ett visst avstånd från det plan som du väljer.

Options

  • To set the workplane to an existing face: select a face of an existing object in the 3D view, then press the SelectPlane button
  • Pressing the VIEW button will set the working plane as the view plane, perpendicular to the camera axis and passing through the (0,0,0) origin point.
  • Pressing the AUTO will unset any current working plane. The next 2D operations will be view-dependent.
  • You can also specify an offset value, which will set your working plane at a certain distance from the plane you select.
  • You can hide and show the grid with the shortcut GR

Scripting

Working plane objects can easily be created and manipulated in scripts and macros. You can create your own, and use them independently of the current Draft working plane.

Example:

import WorkingPlane
myPlane = WorkingPlane.plane()

You can also access the current Draft working plane:

import FreeCAD
draftPlane = FreeCAD.DraftWorkingPlane

To move or rotate the Draft working plane (see the WorkingPlane API page for available methods):

import FreeCAD
from FreeCAD import Vector
FreeCAD.DraftWorkingPlane.alignToPointAndAxis(Vector(0,0,0), Vector(1,1,1).normalize(), 17)

(note: a Draft command must have been issued to make grid adopt changes)

The working plane has a complete scripting API on its own, with convenience functions to position it and convert to/from placements.